#button.py
import time
from machine import Pin # machine is an internal class, See: https://docs.micropython.org/en/latest/library/machine.html

# The Pico board has a boot select button.  Unfortunately, it doesn't connect to a GPIO.
#   The button connects to chip select of W25Q16 SPI FLASH.  This makes the button unusable for reading.

# Assuming we have a button on a breadboard, and connect one side of the button to GND,
#  and the the other side to GP15 (pin 20 - lower left corner of board)

# Write code to turn the LED on when button is pressed

led=Pin('LED',Pin.OUT) # For Pico, GPIO25 == 'LED'
#led=machine.Pin(25,machine.Pin.OUT)

button=Pin(15,Pin.IN, Pin.PULL_UP) # Define pin for input with pull-up

while True:
    if button.value() == 0: # Button is grounding the signal
        led.value(1)
    else:                   # Pull-up raising the signal
        led.value(0)
    time.sleep(0.1) # Slow down the looping... 